path: /build/build/perl-IO-virtual-1.430.0+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} virtual/perl-IO -pv -t && \
    emerge -j ${JOBS} --nodeps virtual/perl-IO
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/perl-IO && luet-portage --dir /pkgdir/perl-IO
    virtual/perl-IO && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:17f5cd016c85d290ed760df9cf70cffe2e7e276cb53c01cb5b40c23860b2cc3d
  package:
    name: perl-IO
    version: 1.430.0+1
    category: virtual
    requires:
    - name: macaroni-funtoo-base
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Virtual for IO
    uri:
    - ""
    buildtimestamp: 2025-02-02 13:18:27.056617265 +0000 UTC m=+37.694398309
    labels:
      RDEPEND: '|| ( =dev-lang/perl-5.32* ~perl-core/IO-1.430.0 ) dev-lang/perl:=
        !<perl-core/IO-1.430.0 !>perl-core/IO-1.430.0-r999'
      emerge.packages: virtual/perl-IO
      kit: perl-kit
      original.package.name: virtual/perl-IO
      original.package.slot: "0"
      original.package.version: 1.430.0
    treedir: /build/packages
  package_dir: /pkgdir/perl-IO
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 6f0844f1ea2115b07819a72cf10ace8122f5c24b74ee44c7f68b51e7c710ac53
compressiontype: zstd
files:
- var/db/pkg/virtual/perl-IO-1.430.0/BUILD_TIME
- var/db/pkg/virtual/perl-IO-1.430.0/CATEGORY
- var/db/pkg/virtual/perl-IO-1.430.0/CBUILD
- var/db/pkg/virtual/perl-IO-1.430.0/CFLAGS
- var/db/pkg/virtual/perl-IO-1.430.0/CHOST
- var/db/pkg/virtual/perl-IO-1.430.0/COUNTER
- var/db/pkg/virtual/perl-IO-1.430.0/CTARGET
- var/db/pkg/virtual/perl-IO-1.430.0/CXX
- var/db/pkg/virtual/perl-IO-1.430.0/CXXFLAGS
- var/db/pkg/virtual/perl-IO-1.430.0/DEFINED_PHASES
- var/db/pkg/virtual/perl-IO-1.430.0/DESCRIPTION
- var/db/pkg/virtual/perl-IO-1.430.0/EAPI
- var/db/pkg/virtual/perl-IO-1.430.0/FEATURES
- var/db/pkg/virtual/perl-IO-1.430.0/IUSE
- var/db/pkg/virtual/perl-IO-1.430.0/IUSE_EFFECTIVE
- var/db/pkg/virtual/perl-IO-1.430.0/KEYWORDS
- var/db/pkg/virtual/perl-IO-1.430.0/LDFLAGS
- var/db/pkg/virtual/perl-IO-1.430.0/LICENSE
- var/db/pkg/virtual/perl-IO-1.430.0/PF
- var/db/pkg/virtual/perl-IO-1.430.0/RDEPEND
- var/db/pkg/virtual/perl-IO-1.430.0/SIZE
- var/db/pkg/virtual/perl-IO-1.430.0/SLOT
- var/db/pkg/virtual/perl-IO-1.430.0/USE
- var/db/pkg/virtual/perl-IO-1.430.0/environment.bz2
- var/db/pkg/virtual/perl-IO-1.430.0/perl-IO-1.430.0.ebuild
- var/db/pkg/virtual/perl-IO-1.430.0/repository
package_cacheimage: ""
runtime:
  name: perl-IO
  version: 1.430.0+1
  category: virtual
  requires:
  - name: perl
    version: '>=0'
    category: dev-lang
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Virtual for IO
  uri:
  - ""
  labels:
    RDEPEND: '|| ( =dev-lang/perl-5.32* ~perl-core/IO-1.430.0 ) dev-lang/perl:= !<perl-core/IO-1.430.0
      !>perl-core/IO-1.430.0-r999'
    emerge.packages: virtual/perl-IO
    kit: perl-kit
    original.package.name: virtual/perl-IO
    original.package.slot: "0"
    original.package.version: 1.430.0
